# Interface VMDeathRequest

All Superinterfaces:
  `EventRequest, Mirror`

public interface VMDeathRequest extends EventRequest
Request for notification when the target VM terminates. When an enabled VMDeathRequest is satisfied, an `event set` containing a `VMDeathEvent` will be placed on the `EventQueue`. The collection of existing VMDeathRequests is managed by the `EventRequestManager`

Even without creating a VMDeathRequest, a single unsolicited VMDeathEvent will be sent with a `suspend policy` of `SUSPEND_NONE`. This request would typically be created so that a VMDeathEvent with a suspend policy of `SUSPEND_ALL` will be sent. This event can be used to assure completion of any processing which requires the VM to be alive (e.g. event processing). Note: the unsolicited VMDeathEvent will still be sent.

Since:
  1.4
See Also:
  - `VMDeathEvent`
  - `EventQueue`
  - `EventRequestManager`

## Field Summary

### Fields declared in interface EventRequest

`SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`
Modifier and Type
Field
Description
`static final int`
`SUSPEND_ALL`
Suspend all threads when the event occurs
`static final int`
`SUSPEND_EVENT_THREAD`
Suspend only the thread which generated the event when the event occurs
`static final int`
`SUSPEND_NONE`
Suspend no threads when the event occurs

## Method Summary

### Methods declared in interface EventRequest

`addCountFilter, disable, enable, getProperty, isEnabled, putProperty, setEnabled, setSuspendPolicy, suspendPolicy`
Modifier and Type
Method
Description
`void`
`addCountFilter(int count)`
Limit the requested event to be reported at most once after a given number of occurrences.
`void`
`disable()`
Same as `setEnabled(false)`.
`void`
`enable()`
Same as `setEnabled(true)`.
`Object`
`getProperty(Object key)`
Returns the value of the property with the specified key.
`boolean`
`isEnabled()`
Determines if this event request is currently enabled.
`void`
`putProperty(Object key, Object value)`
Add an arbitrary key/value "property" to this request.
`void`
`setEnabled(boolean val)`
Enables or disables this event request.
`void`
`setSuspendPolicy(int policy)`
Determines the threads to suspend when the requested event occurs in the target VM.
`int`
`suspendPolicy()`
Returns a value which describes the threads to suspend when the requested event occurs in the target VM.

### Methods declared in interface Mirror

`toString, virtualMachine`
Modifier and Type
Method
Description
`String`
`toString()`
Returns a String describing this mirror
`VirtualMachine`
`virtualMachine()`
Gets the VirtualMachine to which this Mirror belongs.